use std::fmt::Display;

use clap::ValueEnum;

pub(crate) mod i3blocks;
pub(crate) mod waybar;

#[derive(Debug, Copy, Clone, PartialEq, Eq, PartialOrd, Ord, ValueEnum)]
pub(crate) enum OutputFormat {
    Waybar,
    I3Blocks,
}

impl Display for OutputFormat {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            OutputFormat::Waybar => write!(f, "waybar format"),
            OutputFormat::I3Blocks => write!(f, "i3blocks format"),
        }
    }
}

impl Default for OutputFormat {
    fn default() -> Self {
        Self::Waybar
    }
}
